<?php

namespace Intergo\UserCallbackClient\Jobs;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Intergo\UserCallbackClient\SendCallbackData;

class SendCallback implements ShouldQueue
{

    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    private SendCallbackData $data;
    private SendCallbackData $sendCallbackData;
    private int $jobsCount;
    private int $priority;

    /**
     * Constructor to assign data
     *
     * @param SendCallbackData $sendCallbackData
     */
    public function __construct(SendCallbackData $sendCallbackData)
    {
        $this->sendCallbackData = $sendCallbackData;
    }

    /**
     * @return void
     */
    public function handle()
    {
       //
    }

}
